summaryrefslogtreecommitdiff
path: root/app-office
diff options
context:
space:
mode:
authorV3n3RiX <venerix@rogentos.ro>2016-09-05 17:14:28 +0100
committerV3n3RiX <venerix@rogentos.ro>2016-09-05 17:14:28 +0100
commitbacd4d276ecd754ac8330a70ed76adf52ee3b927 (patch)
tree31b7d6df3509f8ec0bb4ee663eeba61b87a4fcec /app-office
parentcb422316ac54eb80d1b18ec6a452d902a76440be (diff)
let's try to fix gnucash to build against whatever guile is present
Diffstat (limited to 'app-office')
-rw-r--r--app-office/gnucash/Manifest1
-rw-r--r--app-office/gnucash/gnucash-2.6.12.ebuild112
2 files changed, 113 insertions, 0 deletions
diff --git a/app-office/gnucash/Manifest b/app-office/gnucash/Manifest
new file mode 100644
index 00000000..122d9011
--- /dev/null
+++ b/app-office/gnucash/Manifest
@@ -0,0 +1 @@
+DIST gnucash-2.6.12.tar.bz2 13549926 SHA256 371fe9af3ec4b5d6839722b07c9064a51cfe247511edaa6286fc82710f700475 SHA512 3abf6f27413e087b2d4242772cdae87c9f13c1c952ccc0b79cb262baa0c076ee4fe227458346ece3967d1e1158aa38db3ec5dfb20db27050e4580e7762854993 WHIRLPOOL fd6a0c66e394e1e80fe95630dae930c86d05e18aa89b298d862089802438080ac1997d9edb1d159868efd664f839158edc4eeb99e6484cbb142ca97b6ac94a9d
diff --git a/app-office/gnucash/gnucash-2.6.12.ebuild b/app-office/gnucash/gnucash-2.6.12.ebuild
new file mode 100644
index 00000000..f667e2a2
--- /dev/null
+++ b/app-office/gnucash/gnucash-2.6.12.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 )
+
+inherit gnome2 python-single-r1
+
+DESCRIPTION="A personal finance manager"
+HOMEPAGE="http://www.gnucash.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="amd64 ~ppc ~ppc64 x86"
+IUSE="chipcard debug +doc gnome-keyring hbci mysql ofx postgres python quotes sqlite"
+
+# FIXME: rdepend on dev-libs/qof when upstream fix their mess (see configure.ac)
+# libdbi version requirement for sqlite taken from bug #455134
+RDEPEND="
+ >=dev-libs/glib-2.32.0:2
+ >=dev-libs/popt-1.5
+ >=dev-libs/libxml2-2.5.10:2
+ dev-libs/libxslt
+ >=dev-scheme/guile-1.8.3:12[deprecated,regex]
+ dev-scheme/guile-www
+ gnome-base/libgnomecanvas
+ >=net-libs/webkit-gtk-1.2:2
+ >=sys-libs/zlib-1.1.4
+ >=x11-libs/gtk+-2.24:2
+ >=x11-libs/goffice-0.7.0:0.8[gnome]
+ x11-libs/pango
+ gnome-keyring? ( >=app-crypt/libsecret-0.18 )
+ ofx? ( >=dev-libs/libofx-0.9.1 )
+ hbci? ( >=net-libs/aqbanking-5[gtk,ofx?]
+ sys-libs/gwenhywfar[gtk]
+ chipcard? ( sys-libs/libchipcard )
+ )
+ python? ( ${PYTHON_DEPS} )
+ quotes? ( dev-perl/Date-Manip
+ >=dev-perl/Finance-Quote-1.11
+ dev-perl/HTML-TableExtract )
+ sqlite? ( >=dev-db/libdbi-0.9.0
+ >=dev-db/libdbi-drivers-0.9.0[sqlite] )
+ postgres? ( dev-db/libdbi dev-db/libdbi-drivers[postgres] )
+ mysql? ( dev-db/libdbi dev-db/libdbi-drivers[mysql] )
+"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ gnome-base/gnome-common
+ sys-devel/libtool
+ virtual/pkgconfig
+"
+PDEPEND="doc? ( >=app-doc/gnucash-docs-2.2.0 )"
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ # Skip test that needs some locales to be present
+ sed -i -e '/test_suite_gnc_date/d' src/libqof/qof/test/test-qof.c || die
+ gnome2_src_prepare
+}
+
+src_configure() {
+ local myconf
+
+ DOCS="doc/README.OFX doc/README.HBCI"
+
+ if use sqlite || use mysql || use postgres ; then
+ myconf+=" --enable-dbi"
+ else
+ myconf+=" --disable-dbi"
+ fi
+
+ # gtkmm is experimental and shouldn't be enabled, upstream bug #684166
+ gnome2_src_configure \
+ $(use_enable debug) \
+ $(use_enable gnome-keyring password-storage) \
+ $(use_enable ofx) \
+ $(use_enable hbci aqbanking) \
+ $(use_enable python) \
+ --with-guile=1.8 \
+ --disable-doxygen \
+ --disable-gtkmm \
+ --enable-locale-specific-tax \
+ --disable-error-on-warning \
+ ${myconf}
+}
+
+src_test() {
+ GUILE_WARN_DEPRECATED=no \
+ GNC_DOT_DIR="${T}"/.gnucash \
+ emake check
+}
+
+src_install() {
+ # Parallel installation fails from time to time, bug #359123
+ MAKEOPTS="${MAKEOPTS} -j1" gnome2_src_install GNC_DOC_INSTALL_DIR=/usr/share/doc/${PF}
+
+ rm -rf "${ED}"/usr/share/doc/${PF}/{examples/,COPYING,INSTALL,*win32-bin.txt,projects.html}
+ mv "${ED}"/usr/share/doc/${PF} "${T}"/cantuseprepalldocs || die
+ dodoc "${T}"/cantuseprepalldocs/*
+
+ # https://bugzilla.gnome.org/show_bug.cgi?id=766960
+ sed -i 's/exec gnucash-env [^[:space:]]*/exec gnucash-env guile/g' \
+ "${ED}/usr/libexec/gnucash/overrides/gnucash-make-guids" || die
+ rm -f "${ED}/usr/libexec/gnucash/overrides/guile" || die
+}